Full name: projects.locations.instances.cases.agenticCaseReports.generate
Generates a agenticCaseReport based on a template.
HTTP request
POST https://{endpoint}/v1alpha/{parent}/agenticCaseReports:generate
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent case. |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "templateId": string, "overrideLlmInstruction": string, "title": string } |
| Fields | |
|---|---|
templateId |
Required. The ID of the template to use. |
overrideLlmInstruction |
Optional. Optional override for LLM instructions. |
title |
Required. The title of the report. |
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chronicle
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
chronicle.agenticCaseReports.update
For more information, see the IAM documentation.